Subject: Re: [bug#34758] [PATCH 2/4] gnu: Add vhba.

From: Pierre Neidhardt <[email-masked]>
Date: Fri, 22 Mar 2019 22:24:56 +0100

I should have explained a little bit more: the whole patchset makes no
sense (beside libmirage) without this kernel module.  CDEmu needs it or
it won't run.

This raises a general, important question: how do we build kernel
modules on guix?  At the moment, it seems that it's only possible by
re-building the kernel.

I suggest we add a "build" output to the kernel  that can be used as an
input to build kernel modules.  Maybe I should should an email to
guix-devel to ask for more opinions / advice. 

-- 
Pierre Neidhardt
https://ambrevar.xyz/